# this function runs every second and this mostly contains nbt related commands for improved tps and performance overall

# Glass Tag for Puzzles
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:white_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:orange_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:magenta_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:light_blue_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:yellow_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:lime_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:pink_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:gray_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:light_gray_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:cyan_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:purple_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:blue_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:brown_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:green_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:red_stained_glass"}}] add Glass
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:black_stained_glass"}}] add Glass

# Clear Items with nbt attached
execute if score Mission Mission matches 8 run clear @a[gamemode=adventure] minecraft:potion{Potion:"minecraft:water"}

# Tag for Misc Items
tag @e[type=minecraft:item,nbt={Item:{id:"minecraft:charcoal"}}] add Key

# Makes bees never lose their stinger
execute as @e[type=bee,nbt={HasStung:1b}] at @s run data merge entity @s {HasStung:0b,AngerTime:24000}

# Clears what allays are holding so if you give it an item its G O N E
execute as @e[type=allay] at @s run data merge entity @s {HandItems:[{id:"minecraft:air",Count:1b},{}]}

# Makes Jerry untradable with barriers the whole time as he receives trades due to mojang not fixing a bug with them and BREAKING MY MAP
# (https://bugs.mojang.com/browse/MC-157950)
execute as @e[type=villager,tag=jerry] at @s run data merge entity @s {Offers:{Recipes:[{buy:{id:"minecraft:barrier",Count:1b,tag:{display:{Name:'{"text":"I cannot trade items.","color":"light_purple","bold":false,"italic":false}'}}},sell:{id:"minecraft:barrier",Count:1b,tag:{display:{Name:'{"text":"I cannot trade items.","color":"light_purple","bold":false,"italic":false}'}}}}]}}

# When the wolf owner player dies, the wolf have a new owner (or same owner if singleplayer)
execute as @a[scores={DeathTimer=..40}] run data modify entity @e[type=minecraft:wolf,tag=netheritis_ai,limit=1] Owner set from entity @r[tag=netheritis_wolf_owner] UUID

# If the wolf goes too far away (16 blocks) it will be safely teleported back to the nearest player
execute as @e[type=wolf,tag=netheritis_ai] at @s unless entity @p[distance=..16] run tp @s @p

# Makes wardens that are spawned in an empty loot table
execute as @e[type=warden,tag=!dark_figure] at @s run data merge entity @s {DeathLootTable:"minecraft:empty"}

# In certain missions, zombies will have their drowned conversion timers set to -1 to prevent drowned being spawned
execute as @e[type=zombie] if score Mission Mission matches 2..7 run data merge entity @s {InWaterTime:-1}
execute as @e[type=zombie] if score Mission Mission matches 9..11 run data merge entity @s {InWaterTime:-1}

# Data converts split slimes in Mission 10
function lily:m10/inky_sludge_conversion

schedule function hub:hub/one_second_function 1s