# this controls everything related to the orb phase of ill's boss fight
scoreboard players add orb M10Boss 1

# during phase 1 the orb does nothing - checks for when its below certain value, then starts p2
execute if score orb_phase M10Boss matches 1 if score orb_health M10Boss matches ..60 run function lily:m10/boss_orb_phase2_entry

# phase 2 - drops invisible armor stands that emit particles and when they touch the ground they emit instant damage aoe (every 10s)
execute if score orb_phase M10Boss matches 2 if score orb M10Boss matches 0 run function lily:m10/boss_orb_aoe
execute if score orb_phase M10Boss matches 2 if score orb M10Boss matches 200 run scoreboard players set orb M10Boss 0

execute if score orb_phase M10Boss matches 2 if score orb_health M10Boss matches ..40 run function lily:m10/boss_orb_phase3_entry

# phase 3 - THE LEGENDARY PILL MAKES THE EPIC COMEBACK - the orb now has a moving laser that shoots randomly at random locations
execute if score orb_phase M10Boss matches 3..4 as @e[type=zombie,tag=laser_targeter] at @s run function lily:m10/boss_orb_laser_movement

execute if score orb_phase M10Boss matches 3 if score orb M10Boss matches 0 run function lily:m10/boss_orb_aoe
execute if score orb_phase M10Boss matches 3 if score orb M10Boss matches 400 run scoreboard players set orb M10Boss 0

execute if score orb_phase M10Boss matches 3 if score orb_health M10Boss matches ..20 run function lily:m10/boss_orb_phase4_entry

# phase 4 - ok now the orb is mad at you and decides its time to go RAINBOW MODE
# also it can teleport you all around the arena
execute if score orb_phase M10Boss matches 4 run scoreboard players add orb_rainbow M10Boss 1

execute if score orb_rainbow M10Boss matches 1 run bossbar set ill_orb color red
execute if score orb_rainbow M10Boss matches 1 run bossbar set ill_orb name {"text":"Containment Orb","color":"dark_red","bold":true}
execute if score orb_rainbow M10Boss matches 3 run bossbar set ill_orb color yellow
execute if score orb_rainbow M10Boss matches 3 run bossbar set ill_orb name {"text":"Containment Orb","color":"gold","bold":true}
execute if score orb_rainbow M10Boss matches 5 run bossbar set ill_orb color green
execute if score orb_rainbow M10Boss matches 5 run bossbar set ill_orb name {"text":"Containment Orb","color":"dark_green","bold":true}
execute if score orb_rainbow M10Boss matches 7 run bossbar set ill_orb color blue
execute if score orb_rainbow M10Boss matches 7 run bossbar set ill_orb name {"text":"Containment Orb","color":"dark_blue","bold":true}
execute if score orb_rainbow M10Boss matches 9 run bossbar set ill_orb color purple
execute if score orb_rainbow M10Boss matches 9 run bossbar set ill_orb name {"text":"Containment Orb","color":"dark_purple","bold":true}
execute if score orb_rainbow M10Boss matches 11 run bossbar set ill_orb color pink
execute if score orb_rainbow M10Boss matches 11 run bossbar set ill_orb name {"text":"Containment Orb","color":"light_purple","bold":true}
execute if score orb_rainbow M10Boss matches 13 run bossbar set ill_orb color white
execute if score orb_rainbow M10Boss matches 13 run bossbar set ill_orb name {"text":"Containment Orb","color":"white","bold":true}
execute if score orb_rainbow M10Boss matches 14 run scoreboard players set orb_rainbow M10Boss 1

execute if score orb_phase M10Boss matches 4 if score orb M10Boss matches 0 run function lily:m10/boss_orb_aoe
execute if score orb_phase M10Boss matches 4 if score orb M10Boss matches 100 run function lily:m10/boss_orb_frenzy_tp_prepare
execute if score orb_phase M10Boss matches 4 if score orb M10Boss matches 400 run scoreboard players set orb M10Boss 0

execute if score orb_phase M10Boss matches 4 if score orb_health M10Boss matches ..2 run function lily:m10/cs8_start

# constantly checking for this specific arrow so it can be damaged
execute as @e[type=arrow,nbt={Color:4510398}] at @s run function lily:m10/boss_orb_arrow_check

# converts zombie health into orb health and stores it for phase changes
execute store result bossbar minecraft:ill_orb value as @e[type=zombie,tag=orb_health,limit=1] run data get entity @s Health
execute store result score orb_health M10Boss as @e[type=zombie,tag=orb_health,limit=1] run data get entity @s Health