# THIS CONTROLS ALL M11'S BOSS ON MAIN PHASE 1

scoreboard players add timer boss 1

# PHASE 1 ABILITIES - ground pound, corrupted gustwind, can tp on top of you - DESERT AREA
# electric shock, redstone laser - WIRESTONE AREA
# fireball spam, portal lasers - CRYING PORTAL GATE AREA

# PHASE 2 ABILTIES - mach 5 tp, risen minions - GRAVESITE AREA
# antimatter corruption, void shielders - VOID DESERT AREA
# telekinetic grip, life steal - CRIMSON VALLEY AREA

# applies resistance to different difficulty levels
execute if score Difficulty Difficulty matches 3 as @e[type=wither_skeleton,tag=boss,tag=extra_health] at @s run effect give @s resistance infinite 3 true
execute if score Difficulty Difficulty matches 1..2 as @e[type=wither_skeleton,tag=boss] at @s run effect give @s resistance infinite 3 true

execute if score timer boss matches 100 if score phase boss matches 1 if score scene boss matches 1 as @e[type=wither_skeleton,tag=boss] at @s run function lily:m11/boss_ground_pound_jump
execute if score timer boss matches 200 if score phase boss matches 1 if score scene boss matches 1 as @e[type=wither_skeleton,tag=boss] at @s run function lily:m11/boss_corrupted_gustwind
execute if score timer boss matches 340 if score phase boss matches 1 if score scene boss matches 1 run function lily:m11/boss_insta_tp_prepare
execute if score timer boss matches 400 if score phase boss matches 1 if score scene boss matches 1 run function lily:m11/boss_p1_scene_wirestone

execute if score phase boss matches 1 if score scene boss matches 2 as @e[type=marker,tag=electric_shock] at @s run function lily:m11/boss_electric_shock_mechanic
execute if score timer boss matches 60 if score phase boss matches 1 if score scene boss matches 2 as @e[type=wither_skeleton,tag=boss] at @s run function lily:m11/boss_electric_shock
execute if score timer boss matches 100 if score phase boss matches 1 if score scene boss matches 2 run function lily:m11/boss_redstone_laser_prepare
execute if score timer boss matches 260 if score phase boss matches 1 if score scene boss matches 2 run function lily:m11/boss_p1_scene_portal_gate

execute if score scene boss matches 3 run function lily:m11/boss_gate_tp_timer
execute if score timer boss matches 100 if score phase boss matches 1 if score scene boss matches 3 run function lily:m11/boss_fireball_spam_prepare
execute if score timer boss matches 320 if score phase boss matches 1 if score scene boss matches 3 run function lily:m11/boss_portal_laser_prepare
execute if score timer boss matches 500 if score phase boss matches 1 if score scene boss matches 3 run function lily:m11/boss_p1_scene_desert

execute if score timer boss matches 100 if score phase boss matches 2 if score scene boss matches 4 run function lily:m11/boss_mach5_tp_prepare
execute if score timer boss matches 360 if score phase boss matches 2 if score scene boss matches 4 run function lily:m11/boss_risen_minions
execute if score timer boss matches 440 if score phase boss matches 2 if score scene boss matches 4 run function lily:m11/boss_p1_scene_void_desert

execute if score timer boss matches 160 if score phase boss matches 2 if score scene boss matches 5 run function lily:m11/boss_antimatter_corruption
execute if score timer boss matches 240 if score phase boss matches 2 if score scene boss matches 5 run function lily:m11/boss_void_shielder
execute if score timer boss matches 600 if score phase boss matches 2 if score scene boss matches 5 run function lily:m11/boss_p1_scene_crimson_valley

execute if score timer boss matches 100 if score phase boss matches 2 if score scene boss matches 6 run function lily:m11/boss_telekinetic_grip
execute if score timer boss matches 260 if score phase boss matches 2 if score scene boss matches 6 run function lily:m11/boss_life_steal
execute if score timer boss matches 340 if score phase boss matches 2 if score scene boss matches 6 run function lily:m11/boss_p1_scene_gravesite

# check health for bossbar
execute store result bossbar boss value as @e[type=wither_skeleton,tag=boss,tag=extra_health,limit=1] run data get entity @s AbsorptionAmount
execute store result bossbar boss value as @e[type=wither_skeleton,tag=boss,tag=!extra_health,limit=1] run data get entity @s Health

# stores health for phase changes
execute store result score health boss as @e[type=wither_skeleton,tag=boss,limit=1] run data get entity @s Health

# makes sounds when hes hit
execute as @e[type=wither_skeleton,tag=boss] run execute store result score @s boss run data get entity @s HurtTime
execute as @e[type=wither_skeleton,tag=boss,scores={boss=10}] at @s run playsound minecraft:entity.wither.hurt master @a ~ ~ ~ 1000000 1

# magma cubes will die if theyre below a certain size (size 1)
execute as @e[type=magma_cube] if entity @s[nbt={Size:1}] run tp @s 2645 49 -352

# HEALTH PHASE CHECKERS
# PHASE 1 -> PHASE 2
execute if score Difficulty Difficulty matches 1 if score phase boss matches 1 if score health boss matches ..250 run function lily:m11/boss_p1_phase2_entry
execute if score Difficulty Difficulty matches 2 if score phase boss matches 1 if score health boss matches ..450 run function lily:m11/boss_p1_phase2_entry
execute if score Difficulty Difficulty matches 3 if score phase boss matches 1 if score health boss matches ..399 run function lily:m11/boss_p1_phase2_entry

# MAIN PHASE 1 TO MAIN PHASE 2 CHECKER
execute if score Difficulty Difficulty matches 1..2 if score phase boss matches 2 if score health boss matches ..55 run function lily:m11/boss_p2_phase1_entry
execute if score Difficulty Difficulty matches 3 if score phase boss matches 2 if score health boss matches ..25 run function lily:m11/boss_p2_phase1_entry