# Detects whenever a shrine protector is hurt
execute as @e[type=minecraft:husk,tag=GoldSP] run execute store result score @s M2ShrineHurt run data get entity @s HurtTime
execute as @e[type=minecraft:husk,tag=DiamondSP] run execute store result score @s M2ShrineHurt run data get entity @s HurtTime
execute as @e[type=minecraft:husk,tag=EmeraldSP] run execute store result score @s M2ShrineHurt run data get entity @s HurtTime
execute as @e[type=minecraft:husk,tag=NetheriteSP] run execute store result score @s M2ShrineHurt run data get entity @s HurtTime

# Adds sound effects and particles

# Gold Shrine
execute as @e[type=minecraft:husk,tag=GoldSP,scores={M2ShrineHurt=10}] at @s run playsound minecraft:entity.blaze.hurt master @a[distance=..10] ~ ~ ~ 1 0.5
execute as @e[type=minecraft:husk,tag=GoldSP,scores={M2ShrineHurt=10}] at @s if score @p Graphics matches 0 run particle minecraft:block gold_block ~ ~ ~ 0 1 0 1 50
execute as @e[type=minecraft:husk,tag=GoldSP,scores={M2ShrineHurt=10}] at @s if score @p Graphics matches 1 run particle minecraft:block gold_block ~ ~ ~ 0 1 0 1 7

# Diamond Shrine
execute as @e[type=minecraft:husk,tag=DiamondSP,scores={M2ShrineHurt=10}] at @s run playsound minecraft:entity.blaze.hurt master @a[distance=..10] ~ ~ ~ 1 2
execute as @e[type=minecraft:husk,tag=DiamondSP,scores={M2ShrineHurt=10}] at @s if score @p Graphics matches 0 run particle minecraft:block diamond_block ~ ~ ~ 0 1 0 1 50
execute as @e[type=minecraft:husk,tag=DiamondSP,scores={M2ShrineHurt=10}] at @s if score @p Graphics matches 1 run particle minecraft:block diamond_block ~ ~ ~ 0 1 0 1 7

# Emerald Shrine
execute as @e[type=minecraft:husk,tag=EmeraldSP,scores={M2ShrineHurt=10}] at @s run playsound minecraft:block.amethyst_cluster.break master @a[distance=..10] ~ ~ ~ 1 0.7
execute as @e[type=minecraft:husk,tag=EmeraldSP,scores={M2ShrineHurt=10}] at @s if score @p Graphics matches 0 run particle minecraft:block emerald_block ~ ~ ~ 0 1 0 1 50
execute as @e[type=minecraft:husk,tag=EmeraldSP,scores={M2ShrineHurt=10}] at @s if score @p Graphics matches 1 run particle minecraft:block emerald_block ~ ~ ~ 0 1 0 1 7

# Netherite Shrine
execute as @e[type=minecraft:husk,tag=NetheriteSP,scores={M2ShrineHurt=10}] at @s run playsound minecraft:item.trident.return master @a[distance=..10] ~ ~ ~ 1 0.8
execute as @e[type=minecraft:husk,tag=NetheriteSP,scores={M2ShrineHurt=10}] at @s if score @p Graphics matches 0 run particle minecraft:block netherite_block ~ ~ ~ 0 1 0 1 50
execute as @e[type=minecraft:husk,tag=NetheriteSP,scores={M2ShrineHurt=10}] at @s if score @p Graphics matches 1 run particle minecraft:block netherite_block ~ ~ ~ 0 1 0 1 7