# Objective Book
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"The Remnant Piglins are attacking Zopig\'s Village. Defeat the four Remnant Chieftains, then come back to the fortress to defend Zopig.","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# Break Barrier
scoreboard players set @a MusicOn 91
scoreboard players set @a MusicTime 0
execute if score total Players matches 1 run setblock 529 2 -380 minecraft:chest[facing=west]{LootTable:"minecraft:lily/chest/1p/m5_raid"}
execute if score total Players matches 2 run setblock 529 2 -380 minecraft:chest[facing=west]{LootTable:"minecraft:lily/chest/2p/m5_raid"}
execute if score total Players matches 3 run setblock 529 2 -380 minecraft:chest[facing=west]{LootTable:"minecraft:lily/chest/3p/m5_raid"}
execute if score total Players matches 4 run setblock 529 2 -380 minecraft:chest[facing=west]{LootTable:"minecraft:lily/chest/4p/m5_raid"}
execute if score total Players matches 5.. run setblock 529 2 -380 minecraft:chest[facing=west]{LootTable:"minecraft:lily/chest/5p/m5_raid"}

fill 504 22 -335 501 24 -335 minecraft:air replace
setblock 479 17 -350 minecraft:air replace
setblock 522 3 -289 minecraft:redstone_wire replace

# Zopig's epic teleporter
tellraw @a ["",{"text":"["},{"text":"Zopig","color":"dark_green"},{"text":"] Here's a "},{"text":"teleporter","color":"#6300B4"},{"text":" that will teleport you straight to the bottom of the "},{"text":"fortress","color":"#690001"},{"text":"! Get rid of those pesky piglins!"}]
clone 525 26 -419 527 22 -417 506 21 -374
data merge block 481 26 -397 {auto:1}
data merge block 483 26 -397 {auto:1}

# Move all the fortress piggies to D E A T H
data merge block 529 20 -419 {auto:1}
tp @e[tag=FortressW] 529 21 -419
tp @e[tag=ExperiencedFD] 529 21 -419
tp @e[tag=PiggyR] 529 21 -419

# Chieftain Abilities and Bossbar
data merge block 523 3 -285 {auto:1}
bossbar set minecraft:m5_chieftain players @a
bossbar set minecraft:m5_chieftain visible true
effect give @e[tag=RemnantC] minecraft:glowing infinite 0 true
scoreboard players set @a M5Chieftain 0
data merge block 556 15 -324 {auto:1}
data merge block 556 17 -324 {auto:1}

tellraw @a ["",{"text":"["},{"text":"Netheritis","color":"dark_green"},{"text":"] Be careful. Those "},{"text":"chieftains","color":"dark_red"},{"text":" are not to be messed with!"}]

# new - set max depedent on difficulty
execute if score Difficulty Difficulty matches 1 run bossbar set minecraft:m5_chieftain max 600
execute if score Difficulty Difficulty matches 2 run bossbar set minecraft:m5_chieftain max 800
execute if score Difficulty Difficulty matches 3 run bossbar set minecraft:m5_chieftain max 1000