# boss timer for abilities
scoreboard players add timer M9Boss 1

# activate kill plane here
execute if entity @p[x=1726,y=284,z=-576,dx=100,dy=3,dz=100,gamemode=adventure] run kill @p
execute as @e[type=warden,tag=dark_figure] at @s if entity @s[x=1726,y=284,z=-576,dx=100,dy=3,dz=100] run tp @s 1776 306 -552
execute as @e[type=zombie_villager,tag=evil_jerry] at @s if entity @s[x=1726,y=284,z=-576,dx=100,dy=3,dz=100] run tp @s 1776 306 -552

# enable entity hurt effects
function lily:m9/boss_hurt_effects

# ENTITY PHASE 1 ABILITIES - this is for the guardian entity's first short phase
execute if score phase M9Boss matches 1 as @e[type=warden,tag=dark_figure] run effect give @s resistance 1 3 true

# PHASE 1 ABILITES - tps around, has an occasional arrow aoe attack
execute if score timer M9Boss matches 60 if score phase M9Boss matches 1 run function lily:m9/boss_teleport_around
execute if score timer M9Boss matches 100 if score phase M9Boss matches 1 run function lily:m9/boss_arrow_aoe
execute if score timer M9Boss matches 260 if score phase M9Boss matches 1 run scoreboard players set timer M9Boss 0

# ENTITY PHASE 2 ABILTIES - only thing it does is give jerry buffs throughout his 2 phases
execute if score jerry_phase M9Boss matches 1..2 as @e[tag=dark_figure] at @s run tp @s ~ ~ ~ facing entity @e[tag=evil_jerry,limit=1]
execute if score timer M9Boss matches 200 if score phase M9Boss matches 2 run function lily:m9/boss_healing_buff

# ENTITY PHASE 3 ABILTIES - ok now its back and its going haywire

# resistance for all difficulties
execute if score Difficulty Difficulty matches 1 if score phase M9Boss matches 3..4 run effect give @e[tag=dark_figure] minecraft:resistance 3 2
execute if score Difficulty Difficulty matches 2..3 if score phase M9Boss matches 3..4 run effect give @e[tag=dark_figure] minecraft:resistance 3 3

# stunning vision (blinds you for 10s as it gains speed) - 5s in
execute if score timer M9Boss matches 100 if score phase M9Boss matches 3 run function lily:m9/boss_stunning_vision

# antimatter decomposition (give you instant damage 3 for 2s) - 10s in
execute if score timer M9Boss matches 200 if score phase M9Boss matches 3 run function lily:m9/boss_antimatter_decomposition

# fireball spam (shoots fireballs in quick succession 10 times) - 15s in
execute if score timer M9Boss matches 300 if score phase M9Boss matches 3 run function lily:m9/boss_fireball_spam_prepare

# mach 5 teleportation (becomes dragonne and has tp and SPEED) - 20s in
execute if score timer M9Boss matches 400 if score phase M9Boss matches 3 run function lily:m9/boss_mach5_teleportation

# void shielder (that magma cube thing that protects minibosses, will be following on top of the entity) - 40s in
execute if score timer M9Boss matches 800 if score phase M9Boss matches 3 run function lily:m9/boss_void_shielder_activate
execute if score timer M9Boss matches 1000 if score phase M9Boss matches 3 run scoreboard players set timer M9Boss 0

# ENTITY PHASE 4 ABILITIES - both the entities abilities and jerry's abilities are now combined to form ultimate destruction

# void shielder (magma cube makes the ultimate comeback) - 10s in
execute if score timer M9Boss matches 200 if score phase M9Boss matches 4 run function lily:m9/boss_void_shielder_activate

# VOIDMITE SWARM LETS GO - 12s in
execute if score timer M9Boss matches 240 if score phase M9Boss matches 4 run function lily:m9/boss_voidmite_swarm

# mach 5 teleportation - (me when the tp is speed) - 18s in
execute if score timer M9Boss matches 360 if score phase M9Boss matches 4 run function lily:m9/boss_mach5_teleportation

# fireball cirlces (speen and destruction) - 25s in
execute if score timer M9Boss matches 500 if score phase M9Boss matches 4 run function lily:m9/boss_fireball_spin_prepare

# debuff potions - (these potions have really really annoying effects because funni) - 40s in
execute if score timer M9Boss matches 800 if score phase M9Boss matches 4 run function lily:m9/boss_debuff_potions

# forcefield shield - (blue bossbars are nice) - 42s in
execute if score timer M9Boss matches 840 if score phase M9Boss matches 4 run function lily:m9/boss_forcefield_shield

# antimatter decomposition - (THIS ALSO HAPPENS WHILE HE HAS A FORCEFIELD UP) - 50s in
execute if score timer M9Boss matches 1000 if score phase M9Boss matches 4 run function lily:m9/boss_antimatter_decomposition

# stunning vision - (this is so i can put the next ability as the fireball spam) - 57s in
execute if score timer M9Boss matches 1140 if score phase M9Boss matches 4 run function lily:m9/boss_stunning_vision

# fireball spam - (isnt it ironic how the ability before this blinds you LOL) - 60s in
execute if score timer M9Boss matches 1200 if score phase M9Boss matches 4 run function lily:m9/boss_fireball_spam_prepare
execute if score timer M9Boss matches 1201 if score phase M9Boss matches 4 run scoreboard players set timer M9Boss 0

# JERRY PHASE 1 ABILITIES - this is for jerry in his first phase

# gives him resistance to simulate more health on higher difficulties (normal/hard)
execute if score Difficulty Difficulty matches 2 run effect give @e[tag=evil_jerry] minecraft:resistance 3 1 true
execute if score Difficulty Difficulty matches 3 run effect give @e[tag=evil_jerry] minecraft:resistance 3 2 true

# void confusion (tping at mach 5) - 5s in
execute if score timer M9Boss matches 100 if score jerry_phase M9Boss matches 1 run function lily:m9/boss3_void_confusion_prepare

# forcefield shield (gets absorption and bossbar changes to blue) - 15s in
execute if score timer M9Boss matches 300 if score jerry_phase M9Boss matches 2 run function lily:m9/boss3_forcefield_shield

# fireball circles (literally ascends and goes into a circle firing fireballs really fast) - 20s in
execute if score timer M9Boss matches 400 if score jerry_phase M9Boss matches 1 run function lily:m9/boss3_fireball_spin_prepare
execute if score timer M9Boss matches 560 if score jerry_phase M9Boss matches 1 run scoreboard players set timer M9Boss 0

# JERRY PHASE 2 ABILITIES - this is for jerry in his last phase

# fireball circles - 5s in
execute if score timer M9Boss matches 100 if score jerry_phase M9Boss matches 2 run function lily:m9/boss3_fireball_spin_prepare

# debuff potions (has a bunch just spawn right in front of you) - 15s in
execute if score timer M9Boss matches 300 if score jerry_phase M9Boss matches 2 run function lily:m9/boss3_debuff_potions

# forcefield shield (gets absorption and bossbar changes to blue) - 20s in
execute if score timer M9Boss matches 400 if score jerry_phase M9Boss matches 2 run function lily:m9/boss3_forcefield_shield

# VOIDMITE SWARM (literally what the name says) - 30s in
execute if score timer M9Boss matches 600 if score jerry_phase M9Boss matches 2 run function lily:m9/boss3_voidmite_swarm
execute if score timer M9Boss matches 700 if score jerry_phase M9Boss matches 2 run scoreboard players set timer M9Boss 0