# Cutscene Setup
effect clear @a minecraft:night_vision
summon minecraft:area_effect_cloud 1732 312 -551 {Rotation:[90f,0f],Age:0,WaitTime:30000,NoGravity:1,Invulnerable:1,Particle:"dust 0 0 0 0",Tags:["cutscene"]}
scoreboard players set @s Pan 0
scoreboard players set @e[type=area_effect_cloud,tag=cutscene] Pan 0
tag @a add player
scoreboard players set @a CameraID 81

# Gamemode/Cutscene Start/Checkpoint
kill @e[tag=QueenN]
stopsound @a record
scoreboard players set @a MusicOn 18
scoreboard players set @a MusicTime 0
title @a times 20 200 20
gamemode spectator @a[tag=player]
data merge block 1750 156 -570 {auto:1}
spawnpoint @a 1746 307 -543 -90
tellraw @a ["",{"text":"<!> "},{"text":"Checkpoint achieved!","color":"dark_blue"}]
execute as @a at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 100000 0.8
time add 3d
data merge block 1760 294 -547 {auto:1}
setblock 1774 -54 -398 minecraft:air replace

# clear out your layer device as its not needed anymore and if you decide to throw it out of your inventory
clear @a minecraft:warped_fungus_on_a_stick
kill @e[type=minecraft:item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick"}}]

# Check difficulty for health max 
execute if score Difficulty Difficulty matches 1 run bossbar set minecraft:void_realm_guardian_entity max 550
execute if score Difficulty Difficulty matches 2 run bossbar set minecraft:void_realm_guardian_entity max 600
execute if score Difficulty Difficulty matches 3 run bossbar set minecraft:void_realm_guardian_entity max 640
bossbar set minecraft:void_realm_guardian_entity name {"text":"Void Realm Guardian Entity","color":"dark_gray","bold":true}

# S U M M O N
execute positioned 1814 311 -551 run function lily:entity/m9/special/boss
execute as @e[tag=dark_figure] at @s run data merge entity @s {NoGravity:1b,Silent:1b,Invulnerable:1b,DeathLootTable:"minecraft:empty",PersistenceRequired:1b,NoAI:1b,Health:20f,Tags:["dark_figure"],CustomName:'{"text":"Void Realm Guardian Entity","color":"gray","bold":true,"italic":true}',ArmorItems:[{id:"minecraft:leather_boots",Count:1b,tag:{display:{color:0}}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:0}}},{id:"minecraft:leather_chestplate",Count:1b,tag:{display:{color:0}}},{id:"minecraft:bricks",Count:1b,tag:{Enchantments:[{}]}}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:20}]}
execute as @e[tag=dark_figure] at @s run tp @s ~ ~ ~ 90 0
effect clear @e[tag=dark_figure]
tp @e[tag=NetheritisG] 1744 308 -546 facing entity @e[tag=dark_figure,limit=1]
execute positioned 1747 308 -556 run function lily:entity/m8/queen_nautica
execute as @e[tag=QueenN] at @s run data merge entity @s {CustomName:'{"text":"Nautica"}',CustomNameVisible:0b,Team:"Players",NoAI:1b,Invulnerable:1b}
tp @e[tag=QueenN] 1747 308 -556 facing entity @e[tag=dark_figure,limit=1]
data merge block 65 65 6 {auto:0}