# If in Survival
gamemode adventure @a[gamemode=survival]

# Give players weakness in creative
effect give @p[gamemode=creative,name=!"saladbowls",name=!"Hithcrew"] minecraft:weakness 3 255 true

# Global Void Kill
execute as @a if entity @s[x=0,y=-64,z=0,dx=5000,dy=-100,dz=5000,gamemode=adventure] run kill @s
execute as @a if entity @s[x=0,y=-64,z=0,dx=-5000,dy=-100,dz=-5000,gamemode=adventure] run kill @s
execute as @a if entity @s[x=0,y=-64,z=0,dx=-5000,dy=-100,dz=5000,gamemode=adventure] run kill @s
execute as @a if entity @s[x=0,y=-64,z=0,dx=5000,dy=-100,dz=-5000,gamemode=adventure] run kill @s

# Mob team update function for certain mobs
team join Enemy @e[type=minecraft:drowned,tag=CobblestoneM]
execute if score Mission Mission matches 9 run team join Void @e[type=stray]

# When Respawned/Ability death checks
effect give @a[scores={DeathTimer=..100}] minecraft:resistance 3 4 true
effect give @a[scores={DeathTimer=..5}] minecraft:night_vision 1 0 true
execute as @a if score @s AttackSpeed matches 2 run attribute @s[scores={DeathTimer=..100}] generic.attack_speed base set 4.1
execute as @a if score @s AttackSpeed matches 3 run attribute @s[scores={DeathTimer=..100}] generic.attack_speed base set 4.2
execute as @a if score @s AttackSpeed matches 4 run attribute @s[scores={DeathTimer=..100}] generic.attack_speed base set 4.3
execute as @a if score @s AttackSpeed matches 5 run attribute @s[scores={DeathTimer=..100}] generic.attack_speed base set 4.4
execute as @a if score @s AttackSpeed matches 6 run attribute @s[scores={DeathTimer=..100}] generic.attack_speed base set 4.5
execute as @a if score @s HealthBoost matches 2 run effect give @s[scores={DeathTimer=..100}] minecraft:health_boost infinite 0 true
execute as @a if score @s HealthBoost matches 3 run effect give @s[scores={DeathTimer=..100}] minecraft:health_boost infinite 1 true
execute as @a if score @s HealthBoost matches 4 run effect give @s[scores={DeathTimer=..100}] minecraft:health_boost infinite 2 true
execute as @a if score @s HealthBoost matches 5 run effect give @s[scores={DeathTimer=..100}] minecraft:health_boost infinite 3 true
execute as @a if score @s AttackDamage matches 2 run attribute @s[scores={DeathTimer=..100}] generic.attack_damage base set 2.5
execute as @a if score @s AttackDamage matches 3 run attribute @s[scores={DeathTimer=..100}] generic.attack_damage base set 4
execute as @a if score @s AttackDamage matches 4 run attribute @s[scores={DeathTimer=..100}] generic.attack_damage base set 5.5
execute as @a if score @s AttackDamage matches 5 run attribute @s[scores={DeathTimer=..100}] generic.attack_damage base set 7
effect give @a[scores={DeathTimer=..60}] minecraft:instant_health 2 50 true

# Combat Tags/Regen
scoreboard players add @a[gamemode=adventure] CombatTag 1
execute as @a[scores={CombatLogged=1..}] run function hub:hub/combat_logged

# Ranged/Arrow functions
execute as @a at @s run function hub:hub/ranged_weapons
execute as @e[type=arrow] at @s run function hub:hub/arrow_functions

# Right-Click weapons detection (used for wands, misc items, etc.)
execute as @a if entity @s[scores={carrot_used=1..}] run function hub:hub/rc_weapon_detection
execute as @a if entity @s[scores={warped_used=1..}] run function hub:hub/rc_weapon_detection

execute as @a run function hub:hub/rc_weapon_cooldown

# Player Tridents Fix
execute as @e[type=item,nbt={Item:{id:"minecraft:trident",tag:{playerOwned:1}}}] at @s run function hub:hub/trident_functions

# Music
function hub:hub/music_countdown

# Checks for how many players there are at all times
execute store result score total Players run execute if entity @a

# Activate Shop Teleporters
execute as @a at @s run function hub:shop/in

# NBT for M9 mob
function lily:m9/lost_soul_hurt

# You cheated not only the game, but yourself. You didn't grow. You didn't improve. You took a shortcut and gained nothing. You experienced a hollow victory. Nothing was risked and nothing was gained. It's sad that you don't know the difference.
execute as @a at @s if entity @p[gamemode=creative,name=!"saladbowls",name=!"Hithcrew"] run advancement grant @a only lily:secrets/cheater

# Music to my ears
execute as @a if entity @s[scores={MusicSuccess=1}] run advancement grant @a only lily:secrets/music_to_my_ears

# Drowned tale
execute if score Mission Mission matches 1 as @a if score @s DrownedSuccess matches 1 run advancement grant @s only lily:secrets/a_drowned_tale

# Stray tale: the sequel to drowned tale
execute if score Mission Mission matches 9 as @a if score @s StraySuccess matches 1 run advancement grant @a only lily:secrets/a_stray_tale

# Advancements for mobs getting obliterated
execute as @a if entity @s[scores={MobKills=500..}] run advancement grant @s only lily:secrets/mass_murderer
execute as @a if entity @s[scores={MobKills=1000..}] run advancement grant @s only lily:secrets/call_an_exterminator
execute as @a if entity @s[scores={MobKills=1500..}] run advancement grant @s only lily:secrets/operation_obliteration
execute as @a if entity @s[scores={MobKills=2000..}] run advancement grant @s only lily:secrets/kill_or_get_killed

# Advancement for eating a pufferfish
execute as @a if entity @s[scores={PufferfishEat=1}] run advancement grant @s only lily:secrets/a_tasty_snack

# Advancement for guessing all the wrong textures
execute as @a if score GuessCheck GuessSuccess matches 4 run advancement grant @s only lily:secrets/im_not_guessing

# Advancement for buying 100s of porkchops
execute as @a if entity @s[scores={PorkchopSuccess=100}] run advancement grant @s only lily:secrets/im_hungry_okay

# Advancement for having maxed out abilities
execute as @a if entity @s[scores={AttackDamage=5,HealthBoost=5,AttackSpeed=6}] run advancement grant @a only lily:secrets/i_am_effectively_a_god

# Entity Updates
execute as @e[type=minecraft:zombie] at @s run data merge entity @s {Attributes:[{Name:"zombie.spawn_reinforcements",Base:0}]}
execute as @e[type=minecraft:drowned,tag=CobblestoneM] at @s run data merge entity @s {DeathLootTable:"minecraft:empty"}
execute as @e[type=minecraft:stray,tag=VoidstonedS] at @s run data merge entity @s {DeathLootTable:"minecraft:empty"}
execute as @e[type=minecraft:vex,tag=CorruptedA] at @s run data merge entity @s {LifeTicks:500}
execute as @e[type=minecraft:bee,tag=VoidsandH] at @s run data merge entity @s {HasStung:0b}

# Clear Items
clear @a[gamemode=adventure] minecraft:glass_bottle
clear @a[gamemode=adventure,scores={HM1Fire=5}] minecraft:flint_and_steel
clear @a[gamemode=adventure] minecraft:saddle
execute if score delete M4Stasis matches 1 if score Mission Mission matches 4 run clear @a[gamemode=adventure] minecraft:wooden_pickaxe
execute if score delete M4Stasis matches 1 if score Mission Mission matches 4 run clear @a[gamemode=adventure] minecraft:warped_fungus_on_a_stick
execute if score nomorelevitation M6LevitationStop matches 1 run clear @a minecraft:heart_of_the_sea
execute if score Mission Mission matches 8 run clear @a[gamemode=adventure] minecraft:bone_meal
execute if score Mission Mission matches 9..10 run clear @a[gamemode=adventure] #lily:skulls

# Disables Friendly Fire for Teams
team modify Players friendlyFire false
team modify Enemy friendlyFire false

# Allay Healing Mechanic for Mission 9
execute if score Mission Mission matches 9 run function lily:m9/allay_heal_timer

# Flash Charge item will constantly tp to you if you don't pick it up in Mission 9-10
execute if score Mission Mission matches 9..10 as @e[type=item,nbt={Item:{id:"minecraft:warped_fungus_on_a_stick"}}] at @s run tp @s @p

# Multishot Taser Damage Adjustment
execute as @e[type=arrow,nbt={Color:16711680}] run data merge entity @s {damage:7}

# Rainbow Crossbow Damage Adjustment
execute as @e[type=arrow,nbt={Color:65459}] run data merge entity @s {damage:15}

# Pill Crossbow Damage Adjustment
execute as @e[type=arrow,nbt={Color:4210752}] run data merge entity @s {damage:21}