# shut off everything from first phase
kill @e[type=skeleton,tag=corrupted_skeleton]
kill @e[type=marker]
schedule clear lily:m11/boss_p3_fireball_hell_fire
schedule clear lily:m11/boss_p3_fireball_hell_off
schedule clear lily:m11/boss_p3_wither_gas_wall_go
schedule clear lily:m11/boss_p3_wither_gas_wall_off
data merge block 2872 8 -449 {auto:0}
data merge block 2872 10 -449 {auto:0}

# enters 2nd phase with his wither skeleton form
scoreboard players set phase boss 2
scoreboard players set timer boss 0

execute as @a at @s run playsound minecraft:block.portal.travel master @s ~ ~ ~ 100000 2
execute as @a at @s run playsound minecraft:block.end_portal.spawn master @s ~ ~ ~ 100000 1.3
effect give @a blindness 3 0

execute positioned 2867 -8 -440 run function lily:entity/main/main_boss

tp @a 2867 -8 -453 0 0

# also his bossbar shows up now
bossbar set boss visible true
bossbar set boss players @a

execute if score Difficulty Difficulty matches 1 run bossbar set boss max 180
execute if score Difficulty Difficulty matches 2 run bossbar set boss max 260
execute if score Difficulty Difficulty matches 3 run bossbar set boss max 310

# ??? Data
execute if score Difficulty Difficulty matches 1 as @e[tag=MainB] at @s run data merge entity @s {Rotation:[180f,0f],NoAI:0b,NoGravity:0b,Silent:1b,Invulnerable:0b,CustomNameVisible:1b,DeathLootTable:"minecraft:lily/entity/casual/m11/boss",Team:"Enemy",PersistenceRequired:1b,Health:180f,Tags:["boss"],CustomName:'{"text":"???","bold":true}',HandItems:[{id:"minecraft:netherite_sword",Count:1b,tag:{AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-856400905,2144552526,-1254431550,1045807258],Slot:"mainhand"}]}}],Attributes:[{Name:"generic.max_health",Base:180},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:0.5},{Name:"generic.movement_speed",Base:0.33},{Name:"generic.attack_damage",Base:22}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=MainB] at @s run data merge entity @s {Rotation:[180f,0f],NoAI:0b,NoGravity:0b,Silent:1b,Invulnerable:0b,CustomNameVisible:1b,DeathLootTable:"minecraft:lily/entity/normal/m11/boss",Team:"Enemy",PersistenceRequired:1b,Health:260f,Tags:["boss"],CustomName:'{"text":"???","bold":true}',HandItems:[{id:"minecraft:netherite_sword",Count:1b,tag:{AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-856411105,2144112526,-1211111550,1041107258],Slot:"mainhand"}]}}],Attributes:[{Name:"generic.max_health",Base:260},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:0.55},{Name:"generic.movement_speed",Base:0.34},{Name:"generic.attack_damage",Base:23}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=MainB] at @s run data merge entity @s {Rotation:[180f,0f],NoAI:0b,NoGravity:0b,Silent:1b,Invulnerable:0b,CustomNameVisible:1b,DeathLootTable:"minecraft:lily/entity/insane/m11/boss",Team:"Enemy",PersistenceRequired:1b,Health:310f,Tags:["boss"],CustomName:'{"text":"???","bold":true}',HandItems:[{id:"minecraft:netherite_sword",Count:1b,tag:{AttributeModifiers:[{AttributeName:"generic.attack_damage",Name:"generic.attack_damage",Amount:0,Operation:0,UUID:[I;-822200905,2144252226,-1254432550,1045222258],Slot:"mainhand"}]}}],Attributes:[{Name:"generic.max_health",Base:310},{Name:"generic.follow_range",Base:256},{Name:"generic.knockback_resistance",Base:0.6},{Name:"generic.movement_speed",Base:0.35},{Name:"generic.attack_damage",Base:24}]}

tellraw @a ["",{"text":"["},{"text":"???","bold":true,"color":"dark_red"},{"text":"] "},{"text":"AGHH!!! BRING IT ON, YOU WEAKLING!!!","bold":true,"color":"dark_red"}]
execute as @a at @s run playsound minecraft:entity.lightning_bolt.thunder master @s ~ ~ ~ 100000 1.3