# Cutscene End
kill @e[type=area_effect_cloud,tag=cutscene]
data merge block 484 17 -344 {auto:0}
scoreboard players reset @a Pan
scoreboard players set @a CameraID 0
tag @a remove player
tp @a 503.0 22 -378 180 -15

# Objective Book/Gamemode/Data
gamemode adventure @a
tellraw @a ["",{"text":"<!> "},{"text":"Objective Book Updated!","italic":true,"color":"blue"}]
clear @a minecraft:written_book{title:"Objective Book",author:"saladbowls"}
give @a written_book{pages:['["",{"text":"Current Objective:","bold":true,"color":"dark_blue"},{"text":"\\n","color":"black"},{"text":"You have encountered Hoggers Plogin, the leader of the Remnant Piglins. Defeat him to save your allies!","italic":true,"color":"blue"}]'],title:"Objective Book",author:saladbowls}
execute as @a at @s run playsound minecraft:block.beacon.power_select master @s ~ ~ ~ 100000 1.8

# Boss Fight Start
bossbar set minecraft:hoggersp visible true
bossbar set minecraft:hoggersp players @a
scoreboard players set @a M5BossAbility 0
data merge block 484 23 -394 {auto:1}
data merge block 484 25 -394 {auto:1}
data merge block 484 27 -394 {auto:1}
data merge block 484 29 -394 {auto:1}
data merge block 484 26 -391 {auto:1}
data merge block 484 28 -391 {auto:1}
data merge block 477 26 -397 {auto:1}
data merge block 479 26 -397 {auto:1}
setblock 481 23 -382 minecraft:redstone_wire replace
fill 504 22 -335 501 24 -335 minecraft:barrier replace
setblock 483 23 -374 minecraft:redstone_wire replace
fill 502 23 -380 503 24 -380 minecraft:air replace

# Hoggers Plogin Data
execute if score Difficulty Difficulty matches 1 as @e[tag=HoggersPS] run data merge entity @s {CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/casual/m5/hoggers_plogin",PersistenceRequired:1b,NoAI:0b,Health:477f,IsBaby:0b,AngerTime:24000,Tags:["HoggersPS"],CustomName:'{"text":"Hoggers Plogin","bold":true,"italic":false}',HandItems:[{id:"minecraft:nether_star",Count:1b},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:1103,Enchantments:[{}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:golden_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:9830400}}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:477},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.4},{Name:"generic.attack_damage",Base:9}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=HoggersPS] run data merge entity @s {CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/normal/m5/hoggers_plogin",PersistenceRequired:1b,NoAI:0b,Health:637f,IsBaby:0b,AngerTime:24000,Tags:["HoggersPS"],CustomName:'{"text":"Hoggers Plogin","bold":true,"italic":false}',HandItems:[{id:"minecraft:nether_star",Count:1b},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:1103,Enchantments:[{}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:golden_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:9830400}}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:637},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.45},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=HoggersPS] run data merge entity @s {CustomNameVisible:1b,Team:"Enemy",DeathLootTable:"minecraft:lily/entity/insane/m5/hoggers_plogin",PersistenceRequired:1b,NoAI:0b,Health:796f,IsBaby:0b,AngerTime:24000,Tags:["HoggersPS"],CustomName:'{"text":"Hoggers Plogin","bold":true,"italic":false}',HandItems:[{id:"minecraft:nether_star",Count:1b},{id:"minecraft:carrot_on_a_stick",Count:1b,tag:{CustomModelData:1103,Enchantments:[{}]}}],HandDropChances:[0.000F,0.000F],ArmorItems:[{id:"minecraft:golden_boots",Count:1b,tag:{Enchantments:[{}]}},{id:"minecraft:leather_leggings",Count:1b,tag:{display:{color:9830400}}},{id:"minecraft:iron_chestplate",Count:1b,tag:{Enchantments:[{}]}},{}],ArmorDropChances:[0.000F,0.000F,0.000F,0.000F],Attributes:[{Name:"generic.max_health",Base:796},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.5},{Name:"generic.attack_damage",Base:11}]}