# Summon two drowned with no ai and no loot + queen nautica
setblock 834 15 94 minecraft:air replace
execute positioned 827.0 -2 95 run function lily:entity/m8/queen_nautica
execute positioned 825 -38 95 run function lily:entity/m8/nautilus_drowned
execute positioned 828 -38 95 run function lily:entity/m8/nautilus_drowned
execute as @e[tag=NautilusD] at @s run data merge entity @s {Tags:["death"],NoAI:1b,DeathLootTable:"minecraft:empty"}
execute as @e[tag=NautilusD] at @s run tp @s ~ ~ ~ facing entity @p
execute as @e[tag=QueenN] at @s run data merge entity @s {NoGravity:1b,NoAI:1b,Invulnerable:1b}

# MURDER ALL THE OTHER MOBS OH YEAH
tp @e[tag=NautilusD] 838 20 96
tp @e[tag=HardenedND] 838 20 96
tp @e[tag=DeepWG] 838 20 96
tp @e[tag=UndeadT] 838 20 96
tp @e[tag=AngryP] 838 20 96
tp @e[tag=TrenchEG] 838 20 96
data merge block 838 19 96 {auto:1}

# Summon all the citizens and turn on death stare for them
execute positioned 831 -48 79 run function lily:entity/m8/aquaris_drowned
execute positioned 822 -48 74 run function lily:entity/m8/aquaris_drowned
execute positioned 831 -52 86 run function lily:entity/m8/aquaris_drowned
execute positioned 839 -46 76 run function lily:entity/m8/aquaris_drowned
execute positioned 833 -45 58 run function lily:entity/m8/aquaris_drowned
execute positioned 815 -45 70 run function lily:entity/m8/aquaris_drowned
execute positioned 815 -46 62 run function lily:entity/m8/aquaris_drowned
execute positioned 839 -45 68 run function lily:entity/m8/aquaris_drowned
execute positioned 838 -43 58 run function lily:entity/m8/aquaris_drowned
execute positioned 851 -45 62 run function lily:entity/m8/aquaris_drowned
execute positioned 865 -42 64 run function lily:entity/m8/aquaris_drowned
execute positioned 856 -45 73 run function lily:entity/m8/aquaris_drowned
execute positioned 852 -45 69 run function lily:entity/m8/aquaris_drowned
execute positioned 848 -44 71 run function lily:entity/m8/aquaris_drowned_priest
execute positioned 849 -45 51 run function lily:entity/m8/aquaris_drowned
execute positioned 860 -49 48 run function lily:entity/m8/aquaris_drowned
execute positioned 847 -44 39 run function lily:entity/m8/aquaris_drowned
execute positioned 848 -43 46 run function lily:entity/m8/aquaris_drowned
execute positioned 839 -36 47 run function lily:entity/m8/aquaris_drowned
execute positioned 812 -36 56 run function lily:entity/m8/aquaris_drowned
execute positioned 822 -41 47 run function lily:entity/m8/aquaris_drowned
execute positioned 822 -46 59 run function lily:entity/m8/aquaris_drowned
execute positioned 865 -45 39 run function lily:entity/m8/aquaris_drowned_blacksmith
data merge block 839 15 84 {auto:1}

# Cutscene Setup
summon minecraft:area_effect_cloud 827.0 -38 99 {Rotation:[180f,0f],Age:0,WaitTime:30000,NoGravity:1,Invulnerable:1,Particle:"dust 0 0 0 0",Tags:["cutscene"]}
scoreboard players set @s Pan 0
scoreboard players set @e[type=area_effect_cloud,tag=cutscene] Pan 0
tag @a add player
scoreboard players set @a CameraID 48

execute if score total Players matches 1 run data merge block 837 -18 44 {LootTable:"minecraft:lily/chest/1p/m8_city"}
execute if score total Players matches 1 run data merge block 831 -52 83 {LootTable:"minecraft:lily/chest/1p/m8_city"}
execute if score total Players matches 1 run data merge block 851 -46 47 {LootTable:"minecraft:lily/chest/1p/m8_city"}

execute if score total Players matches 2 run data merge block 837 -18 44 {LootTable:"minecraft:lily/chest/2p/m8_city"}
execute if score total Players matches 2 run data merge block 831 -52 83 {LootTable:"minecraft:lily/chest/2p/m8_city"}
execute if score total Players matches 2 run data merge block 851 -46 47 {LootTable:"minecraft:lily/chest/2p/m8_city"}

execute if score total Players matches 3 run data merge block 837 -18 44 {LootTable:"minecraft:lily/chest/3p/m8_city"}
execute if score total Players matches 3 run data merge block 831 -52 83 {LootTable:"minecraft:lily/chest/3p/m8_city"}
execute if score total Players matches 3 run data merge block 851 -46 47 {LootTable:"minecraft:lily/chest/3p/m8_city"}

execute if score total Players matches 4 run data merge block 837 -18 44 {LootTable:"minecraft:lily/chest/4p/m8_city"}
execute if score total Players matches 4 run data merge block 831 -52 83 {LootTable:"minecraft:lily/chest/4p/m8_city"}
execute if score total Players matches 4 run data merge block 851 -46 47 {LootTable:"minecraft:lily/chest/4p/m8_city"}

execute if score total Players matches 5.. run data merge block 837 -18 44 {LootTable:"minecraft:lily/chest/5p/m8_city"}
execute if score total Players matches 5.. run data merge block 831 -52 83 {LootTable:"minecraft:lily/chest/5p/m8_city"}
execute if score total Players matches 5.. run data merge block 851 -46 47 {LootTable:"minecraft:lily/chest/5p/m8_city"}

# Cutscene Setup (mob)
summon minecraft:area_effect_cloud 827.0 -2 95 {Rotation:[180f,0f],Age:0,WaitTime:30000,NoGravity:1,Invulnerable:1,Particle:"dust 0 0 0 0",Tags:["mob_cutscene"]}
scoreboard players set mobcutscene Pan 0
scoreboard players set @e[type=area_effect_cloud,tag=mob_cutscene] Pan 0
tag @e[limit=1,tag=QueenN] add mob
tag @e[limit=1,tag=QueenN] remove QueenN

# Gamemode/Cutscene Start/Checkpoint
gamemode spectator @a[tag=player]
data merge block 839 15 88 {auto:1}
data merge block 839 15 86 {auto:1}
spawnpoint @a 827 -39 93 -180
tellraw @a ["",{"text":"<!> "},{"text":"Checkpoint achieved!","color":"dark_blue"}]
execute as @a at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 100000 0.8