# menacing amplified desert terrain
setblock 1774 -54 -398 minecraft:redstone_wire replace
setblock 1778 -54 -397 minecraft:air replace
forceload add 1773 -400 1796 -375
data merge block 1774 -54 -400 {auto:1}
data merge block 1776 -54 -400 {auto:1}
tellraw @a ["",{"text":"["},{"text":"Nautica","color":"dark_green"},{"text":"] Well, here we are... The "},{"text":"Deserted Voidlands","color":"#564E05"},{"text":"."}]
tp @e[tag=QueenN] 1781 -56 -407 ~ ~
tp @e[tag=NetheritisG] 1776 -55 -409 ~ ~

scoreboard players set @a M9Layer 71

# THE NEW MOBS HAVE ARRIVED (and the bees have forced me to place a ceiling.)
execute positioned 1788 -44 -429 run function lily:entity/m9/voidsand_hornet
execute positioned 1788 -44 -429 run function lily:entity/m9/voidsand_hornet
execute positioned 1788 -44 -429 run function lily:entity/m9/withered_blaze
execute positioned 1794 -46 -449 run function lily:entity/m9/molten_void_blob
execute positioned 1794 -46 -449 run function lily:entity/m9/molten_void_blob
execute positioned 1807 -57 -459 run function lily:entity/m9/withered_blaze
execute positioned 1807 -57 -459 run function lily:entity/m9/withered_blaze
execute positioned 1816 -56 -440 run function lily:entity/m9/molten_void_blob
execute positioned 1816 -56 -440 run function lily:entity/m9/voidsand_hornet
execute positioned 1816 -56 -440 run function lily:entity/m9/voidsand_hornet
execute positioned 1810 -57 -451 run function lily:entity/m9/voidender

execute if score total Players matches 2.. as @a as @e[tag=VoidsandH,limit=1,sort=random] at @s run function lily:entity/m9/voidsand_hornet
execute if score total Players matches 2.. as @a as @e[tag=WitheredB,limit=1,sort=random] at @s run function lily:entity/m9/withered_blaze
execute if score total Players matches 2.. as @a as @e[tag=MoltenVB,limit=1,sort=random] at @s run function lily:entity/m9/molten_void_blob
execute if score total Players matches 3.. as @a as @e[tag=Voidender,limit=1,sort=random] at @s run function lily:entity/m9/voidender

# Voidsand Hornet Data
execute if score Difficulty Difficulty matches 1 as @e[tag=VoidsandH] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/casual/m9/voidsand_hornet",Team:"Void",PersistenceRequired:1b,Health:111f,HasStung:0b,AngerTime:24000,Tags:["VoidsandH"],CustomName:'{"text":"Voidsand Hornet"}',Attributes:[{Name:"generic.max_health",Base:111},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:9}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=VoidsandH] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/normal/m9/voidsand_hornet",Team:"Void",PersistenceRequired:1b,Health:148f,HasStung:0b,AngerTime:24000,Tags:["VoidsandH"],CustomName:'{"text":"Voidsand Hornet"}',Attributes:[{Name:"generic.max_health",Base:148},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=VoidsandH] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/insane/m9/voidsand_hornet",Team:"Void",PersistenceRequired:1b,Health:185f,HasStung:0b,AngerTime:24000,Tags:["VoidsandH"],CustomName:'{"text":"Voidsand Hornet"}',Attributes:[{Name:"generic.max_health",Base:185},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:11}]}

# Withered Blaze Data
execute if score Difficulty Difficulty matches 1 as @e[tag=WitheredB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/casual/m9/withered_blaze",Team:"Void",PersistenceRequired:1b,Health:111f,Tags:["WitheredB"],Passengers:[{id:"minecraft:potion",Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5832704,custom_potion_effects:[{id:"mining_fatigue",amplifier:0b,duration:400},{id:"instant_damage",amplifier:1b,duration:20}],Enchantments:[{}]}}}],CustomName:'{"text":"Withered Blaze"}',Attributes:[{Name:"generic.max_health",Base:111},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=WitheredB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/normal/m9/withered_blaze",Team:"Void",PersistenceRequired:1b,Health:148f,Tags:["WitheredB"],Passengers:[{id:"minecraft:potion",Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5832704,custom_potion_effects:[{id:"mining_fatigue",amplifier:0b,duration:400},{id:"instant_damage",amplifier:1b,duration:20}],Enchantments:[{}]}}}],CustomName:'{"text":"Withered Blaze"}',Attributes:[{Name:"generic.max_health",Base:148},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:11}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=WitheredB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/insane/m9/withered_blaze",Team:"Void",PersistenceRequired:1b,Health:185f,Tags:["WitheredB"],Passengers:[{id:"minecraft:potion",Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5832704,custom_potion_effects:[{id:"mining_fatigue",amplifier:0b,duration:400},{id:"instant_damage",amplifier:1b,duration:20}],Enchantments:[{}]}}}],CustomName:'{"text":"Withered Blaze"}',Attributes:[{Name:"generic.max_health",Base:185},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:12}]}

# Molten Void Blob
execute if score Difficulty Difficulty matches 1 as @e[tag=MoltenVB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/casual/m9/molten_void_blob",Team:"Void",PersistenceRequired:1b,Health:148f,Size:2,Tags:["MoltenVB"],CustomName:'{"text":"Molten Void Blob"}',Attributes:[{Name:"generic.max_health",Base:148},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.2},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=MoltenVB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/normal/m9/molten_void_blob",Team:"Void",PersistenceRequired:1b,Health:198f,Size:2,Tags:["MoltenVB"],CustomName:'{"text":"Molten Void Blob"}',Attributes:[{Name:"generic.max_health",Base:198},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.25},{Name:"generic.attack_damage",Base:11}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=MoltenVB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/insane/m9/molten_void_blob",Team:"Void",PersistenceRequired:1b,Health:247f,Size:2,Tags:["MoltenVB"],CustomName:'{"text":"Molten Void Blob"}',Attributes:[{Name:"generic.max_health",Base:247},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.3},{Name:"generic.attack_damage",Base:12}]}

# Voidender Data
execute if score Difficulty Difficulty matches 1 as @e[tag=Voidender] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/casual/m9/voidender",Team:"Void",PersistenceRequired:1b,Health:189f,AngerTime:24000,Tags:["Voidender"],CustomName:'{"text":"Voidender"}',Attributes:[{Name:"generic.max_health",Base:189},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.5},{Name:"generic.attack_damage",Base:14}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=Voidender] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/normal/m9/voidender",Team:"Void",PersistenceRequired:1b,Health:253f,AngerTime:24000,Tags:["Voidender"],CustomName:'{"text":"Voidender"}',Attributes:[{Name:"generic.max_health",Base:253},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.55},{Name:"generic.attack_damage",Base:15}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=Voidender] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/insane/m9/voidender",Team:"Void",PersistenceRequired:1b,Health:316f,AngerTime:24000,Tags:["Voidender"],CustomName:'{"text":"Voidender"}',Attributes:[{Name:"generic.max_health",Base:316},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.6},{Name:"generic.attack_damage",Base:16}]}

# Checkpoint
setblock 1781 -54 -395 minecraft:redstone_wire replace
spawnpoint @a 1779 -55 -408 -135
tellraw @a ["",{"text":"<!> "},{"text":"Checkpoint achieved!","color":"dark_blue"}]
execute as @a at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 100000 0.8
schedule function lily:m9/desert20 5s