# the desert caves.
setblock 1739 -29 -533 minecraft:air replace
kill @e[tag=checkpoint]
spawnpoint @a 1740 0 -532 -180
tellraw @a ["",{"text":"<!> "},{"text":"Checkpoint achieved!","color":"dark_blue"}]
execute as @a at @s run playsound minecraft:entity.player.levelup master @s ~ ~ ~ 100000 0.8
execute if score total Players matches 1 run data merge block 1729 1 -541 {LootTable:"lily/chest/1p/m9_desert"}
execute if score total Players matches 2 run data merge block 1729 1 -541 {LootTable:"lily/chest/2p/m9_desert"}
execute if score total Players matches 3 run data merge block 1729 1 -541 {LootTable:"lily/chest/3p/m9_desert"}
execute if score total Players matches 4 run data merge block 1729 1 -541 {LootTable:"lily/chest/4p/m9_desert"}
execute if score total Players matches 5.. run data merge block 1729 1 -541 {LootTable:"lily/chest/5p/m9_desert"}

# you think this mission has more mobs than like missions 1-4 combined
execute positioned 1733 -1 -548 run function lily:entity/m9/voidsand_hornet
execute positioned 1733 -1 -548 run function lily:entity/m9/voidsand_hornet
execute positioned 1753 -19 -551 run function lily:entity/m9/molten_void_blob
execute positioned 1753 -19 -551 run function lily:entity/m9/withered_blaze
execute positioned 1753 -19 -551 run function lily:entity/m9/withered_blaze
execute positioned 1765 -25 -573 run function lily:entity/m9/voidsand_hornet
execute positioned 1765 -25 -573 run function lily:entity/m9/voidsand_hornet
execute positioned 1765 -25 -573 run function lily:entity/m9/withered_blaze
execute positioned 1780 -34 -587 run function lily:entity/m9/molten_void_blob
execute positioned 1780 -34 -587 run function lily:entity/m9/molten_void_blob
execute positioned 1792 -29 -583 run function lily:entity/m9/voidsand_hornet
execute positioned 1792 -29 -583 run function lily:entity/m9/voidsand_hornet
execute positioned 1792 -29 -583 run function lily:entity/m9/voidsand_hornet
execute positioned 1788 -18 -572 run function lily:entity/m9/withered_blaze
execute positioned 1788 -18 -572 run function lily:entity/m9/withered_blaze
execute positioned 1788 -18 -572 run function lily:entity/m9/voidender
execute positioned 1776 -7 -577 run function lily:entity/m9/molten_void_blob
execute positioned 1776 -7 -577 run function lily:entity/m9/withered_blaze
execute positioned 1766 4 -573 run function lily:entity/m9/voidsand_hornet
execute positioned 1766 4 -573 run function lily:entity/m9/withered_blaze
execute positioned 1762 1 -592 run function lily:entity/m9/molten_void_blob
execute positioned 1762 1 -592 run function lily:entity/m9/molten_void_blob
execute positioned 1768 4 -601 run function lily:entity/m9/withered_blaze
execute positioned 1752 9 -594 run function lily:entity/m9/voidsand_hornet
execute positioned 1752 9 -594 run function lily:entity/m9/voidsand_hornet
execute positioned 1752 9 -594 run function lily:entity/m9/molten_void_blob
execute positioned 1749 18 -584 run function lily:entity/m9/voidsand_hornet
execute positioned 1749 18 -584 run function lily:entity/m9/withered_blaze
execute positioned 1749 18 -584 run function lily:entity/m9/withered_blaze
execute positioned 1744 27 -601 run function lily:entity/m9/voidender
execute positioned 1758 34 -594 run function lily:entity/m9/withered_blaze
execute positioned 1758 34 -594 run function lily:entity/m9/withered_blaze
execute positioned 1746 45 -582 run function lily:entity/m9/voidsand_hornet
execute positioned 1746 45 -582 run function lily:entity/m9/voidsand_hornet
execute positioned 1746 45 -582 run function lily:entity/m9/molten_void_blob
execute positioned 1740 52 -598 run function lily:entity/m9/voidsand_hornet
execute positioned 1740 52 -598 run function lily:entity/m9/voidsand_hornet
execute positioned 1740 52 -598 run function lily:entity/m9/withered_blaze
execute positioned 1748 64 -607 run function lily:entity/m9/molten_void_blob
execute positioned 1748 64 -607 run function lily:entity/m9/withered_blaze
execute positioned 1736 69 -603 run function lily:entity/m9/voidender

execute if score total Players matches 2.. as @a as @e[tag=VoidsandH,limit=1,sort=random] at @s run function lily:entity/m9/voidsand_hornet
execute if score total Players matches 2.. as @a as @e[tag=WitheredB,limit=1,sort=random] at @s run function lily:entity/m9/withered_blaze
execute if score total Players matches 2.. as @a as @e[tag=MoltenVB,limit=2,sort=random] at @s run function lily:entity/m9/molten_void_blob
execute if score total Players matches 2.. as @a as @e[tag=Voidender,limit=1,sort=random] at @s run function lily:entity/m9/voidender

# Voidsand Hornet Data
execute if score Difficulty Difficulty matches 1 as @e[tag=VoidsandH] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/casual/m9/voidsand_hornet",Team:"Void",PersistenceRequired:1b,Health:111f,HasStung:0b,AngerTime:24000,Tags:["VoidsandH"],CustomName:'{"text":"Voidsand Hornet"}',Attributes:[{Name:"generic.max_health",Base:111},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:9}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=VoidsandH] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/normal/m9/voidsand_hornet",Team:"Void",PersistenceRequired:1b,Health:148f,HasStung:0b,AngerTime:24000,Tags:["VoidsandH"],CustomName:'{"text":"Voidsand Hornet"}',Attributes:[{Name:"generic.max_health",Base:148},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=VoidsandH] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/insane/m9/voidsand_hornet",Team:"Void",PersistenceRequired:1b,Health:185f,HasStung:0b,AngerTime:24000,Tags:["VoidsandH"],CustomName:'{"text":"Voidsand Hornet"}',Attributes:[{Name:"generic.max_health",Base:185},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:11}]}

# Withered Blaze Data
execute if score Difficulty Difficulty matches 1 as @e[tag=WitheredB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/casual/m9/withered_blaze",Team:"Void",PersistenceRequired:1b,Health:111f,Tags:["WitheredB"],Passengers:[{id:"minecraft:potion",Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5832704,custom_potion_effects:[{id:"mining_fatigue",amplifier:0b,duration:400},{id:"instant_damage",amplifier:1b,duration:20}],Enchantments:[{}]}}}],CustomName:'{"text":"Withered Blaze"}',Attributes:[{Name:"generic.max_health",Base:111},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=WitheredB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/normal/m9/withered_blaze",Team:"Void",PersistenceRequired:1b,Health:148f,Tags:["WitheredB"],Passengers:[{id:"minecraft:potion",Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5832704,custom_potion_effects:[{id:"mining_fatigue",amplifier:0b,duration:400},{id:"instant_damage",amplifier:1b,duration:20}],Enchantments:[{}]}}}],CustomName:'{"text":"Withered Blaze"}',Attributes:[{Name:"generic.max_health",Base:148},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:11}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=WitheredB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/insane/m9/withered_blaze",Team:"Void",PersistenceRequired:1b,Health:185f,Tags:["WitheredB"],Passengers:[{id:"minecraft:potion",Item:{id:"minecraft:splash_potion",Count:1b,tag:{CustomPotionColor:5832704,custom_potion_effects:[{id:"mining_fatigue",amplifier:0b,duration:400},{id:"instant_damage",amplifier:1b,duration:20}],Enchantments:[{}]}}}],CustomName:'{"text":"Withered Blaze"}',Attributes:[{Name:"generic.max_health",Base:185},{Name:"generic.follow_range",Base:64},{Name:"generic.attack_damage",Base:12}]}

# Molten Void Blob
execute if score Difficulty Difficulty matches 1 as @e[tag=MoltenVB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/casual/m9/molten_void_blob",Team:"Void",PersistenceRequired:1b,Health:148f,Size:2,Tags:["MoltenVB"],CustomName:'{"text":"Molten Void Blob"}',Attributes:[{Name:"generic.max_health",Base:148},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.2},{Name:"generic.attack_damage",Base:10}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=MoltenVB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/normal/m9/molten_void_blob",Team:"Void",PersistenceRequired:1b,Health:198f,Size:2,Tags:["MoltenVB"],CustomName:'{"text":"Molten Void Blob"}',Attributes:[{Name:"generic.max_health",Base:198},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.25},{Name:"generic.attack_damage",Base:11}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=MoltenVB] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/insane/m9/molten_void_blob",Team:"Void",PersistenceRequired:1b,Health:247f,Size:2,Tags:["MoltenVB"],CustomName:'{"text":"Molten Void Blob"}',Attributes:[{Name:"generic.max_health",Base:247},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.3},{Name:"generic.attack_damage",Base:12}]}

# Voidender Data
execute if score Difficulty Difficulty matches 1 as @e[tag=Voidender] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/casual/m9/voidender",Team:"Void",PersistenceRequired:1b,Health:189f,AngerTime:24000,Tags:["Voidender"],CustomName:'{"text":"Voidender"}',Attributes:[{Name:"generic.max_health",Base:189},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.5},{Name:"generic.attack_damage",Base:14}]}
execute if score Difficulty Difficulty matches 2 as @e[tag=Voidender] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/normal/m9/voidender",Team:"Void",PersistenceRequired:1b,Health:253f,AngerTime:24000,Tags:["Voidender"],CustomName:'{"text":"Voidender"}',Attributes:[{Name:"generic.max_health",Base:253},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.55},{Name:"generic.attack_damage",Base:15}]}
execute if score Difficulty Difficulty matches 3 as @e[tag=Voidender] run data merge entity @s {DeathLootTable:"minecraft:lily/entity/insane/m9/voidender",Team:"Void",PersistenceRequired:1b,Health:316f,AngerTime:24000,Tags:["Voidender"],CustomName:'{"text":"Voidender"}',Attributes:[{Name:"generic.max_health",Base:316},{Name:"generic.follow_range",Base:64},{Name:"generic.knockback_resistance",Base:0.6},{Name:"generic.attack_damage",Base:16}]}

schedule function lily:m9/desert_caves2 5s