# this function controls pretty much everything about the boss

scoreboard players add hithcrew boss 1

execute as @e[type=skeleton,tag=saladbowls] at @s run tp @s ~ ~ ~ facing entity @p

# applies resistance dependent on difficulty/phase
execute if score Difficulty Difficulty matches 2 if score hithcrew_phase boss matches 2 as @e[type=wither_skeleton,tag=hithcrew] at @s run effect give @s resistance infinite 0 true
execute if score Difficulty Difficulty matches 2 if score hithcrew_phase boss matches 4..5 as @e[type=wither_skeleton,tag=hithcrew] at @s run effect give @s resistance infinite 1 true

execute if score Difficulty Difficulty matches 3 if score hithcrew_phase boss matches 2 as @e[type=wither_skeleton,tag=hithcrew] at @s run effect give @s resistance infinite 1 true
execute if score Difficulty Difficulty matches 3 if score hithcrew_phase boss matches 3 as @e[type=wither_skeleton,tag=hithcrew] at @s run effect give @s resistance infinite 0 true
execute if score Difficulty Difficulty matches 3 if score hithcrew_phase boss matches 4..5 as @e[type=wither_skeleton,tag=hithcrew] at @s run effect give @s resistance infinite 2 true

# PASSIVE ABILITIES - WITHER EFFECT WHEN NEAR, SLOWNESS WHEN HIT
execute as @a at @s run function lily:sm3/boss_passive_wither
execute if score hithcrew_phase boss matches 1..4 as @a at @s run function lily:sm3/boss_slowness
execute if score hithcrew_phase boss matches 5 as @a at @s run effect give @s slowness 1 1

# PHASE 1 ABILITIES - AOE SPLASH POTIONS, INVUL FRAMES, BOW SWITCH
execute if score hithcrew boss matches 0 if score hithcrew_phase boss matches 1 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_melee_switch
execute if score hithcrew boss matches 100 if score hithcrew_phase boss matches 1 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_aoe_splash_potions
execute if score hithcrew boss matches 200 if score hithcrew_phase boss matches 1 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_invul_frames
execute if score hithcrew boss matches 300 if score hithcrew_phase boss matches 1 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_bow_switch
execute if score hithcrew boss matches 440 if score hithcrew_phase boss matches 1 run scoreboard players set hithcrew boss 0

# PHASE 2 ABILITIES - RANDOMIZED BOW/MELEE SWITCH, MINI SALADBOWLS, FIREBALL TRAP, LAKE DROWNING
execute if score hithcrew boss matches 0 if score hithcrew_phase boss matches 2 run function lily:sm3/boss_switch_randomizer

execute if score hithcrew boss matches 100 if score hithcrew_phase boss matches 2 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_mini_saladbowls
execute if score hithcrew boss matches 240 if score hithcrew_phase boss matches 2 run function lily:sm3/boss_fireball_trap_prepare
execute if score hithcrew boss matches 400 if score hithcrew_phase boss matches 2 run function lily:sm3/boss_lake_drowning_activate
execute if score hithcrew boss matches 500 if score hithcrew_phase boss matches 2 run scoreboard players set hithcrew boss 0

# PHASE 3 ABILITIES - INVUL FRAMES, AOE SPLASH POTIONS, FRENZY MODE, MAGIC BOW SHOT
execute if score hithcrew boss matches 60 if score hithcrew_phase boss matches 3 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_invul_frames
execute if score hithcrew boss matches 180 if score hithcrew_phase boss matches 3 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_aoe_splash_potions
execute if score hithcrew boss matches 240 if score hithcrew_phase boss matches 3 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_frenzy_mode_activate
execute if score hithcrew boss matches 340 if score hithcrew_phase boss matches 3 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_magic_bow_shot
execute if score hithcrew boss matches 480 if score hithcrew_phase boss matches 2 run scoreboard players set hithcrew boss 0

# PHASE 4 ABILITIES - (DRIPLEAF ARENA) MINI SALADBOWLS, SPEED MODE
execute if score hithcrew boss matches 100 if score hithcrew_phase boss matches 4 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_mini_saladbowls
execute if score hithcrew boss matches 200 if score hithcrew_phase boss matches 4 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_speed_zoom
execute if score hithcrew boss matches 400 if score hithcrew_phase boss matches 4 run scoreboard players set hithcrew boss 0

# PHASE 5 ABILITIES - (SKY ARENA) AOE SPLASH POTIONS, PERMANENT SLOWNESS, FIREBALL RAIN
execute if score hithcrew boss matches 0 if score hithcrew_phase boss matches 5 run particle minecraft:cloud 1881 259 10 5 5 5 2 100 normal @a
execute if score hithcrew boss matches 60 if score hithcrew_phase boss matches 5 as @e[type=wither_skeleton,tag=hithcrew] at @s run function lily:sm3/boss_aoe_splash_potions
execute if score hithcrew boss matches 100 if score hithcrew_phase boss matches 5 run particle minecraft:cloud 1881 259 10 5 5 5 2 100 normal @a
execute if score hithcrew boss matches 160 if score hithcrew_phase boss matches 5 run function lily:sm3/boss_fireball_rain_activate
execute if score hithcrew boss matches 200 if score hithcrew_phase boss matches 5 run particle minecraft:cloud 1881 259 10 5 5 5 2 100 normal @a
execute if score hithcrew boss matches 300 if score hithcrew_phase boss matches 5 run scoreboard players set hithcrew boss 0

# check health for bossbar
execute store result bossbar hithcrew value as @e[type=wither_skeleton,tag=hithcrew,limit=1] run data get entity @s Health

# stores health for phase changes
execute store result score hithcrew_health boss as @e[type=wither_skeleton,tag=hithcrew,limit=1] run data get entity @s Health

execute as @e[type=wither_skeleton,tag=hithcrew] if score hithcrew_health boss matches ..100 run effect give @s resistance 1 3 true

# HEALTH PHASE CHECKERS
# PHASE 4 -> PHASE 5
execute if score Difficulty Difficulty matches 1 if score hithcrew_phase boss matches 4 if score hithcrew_health boss matches ..470 run function lily:sm3/boss_p5_entry
execute if score Difficulty Difficulty matches 2 if score hithcrew_phase boss matches 4 if score hithcrew_health boss matches ..374 run function lily:sm3/boss_p5_entry
execute if score Difficulty Difficulty matches 3 if score hithcrew_phase boss matches 4 if score hithcrew_health boss matches ..312 run function lily:sm3/boss_p5_entry

# PHASE 3 -> PHASE 4
execute if score hithcrew_phase boss matches 3 if score hithcrew_health boss matches ..90 run function lily:sm3/boss_p4_entry

# PHASE 2 -> PHASE 3
execute if score hithcrew_phase boss matches 2 if score hithcrew_health boss matches ..90 run function lily:sm3/boss_p3_entry

# PHASE 1 -> PHASE 2
execute if score hithcrew_phase boss matches 1 if score hithcrew_health boss matches ..90 run function lily:sm3/boss_p2_entry

# CHECKS WHEN HITHCREW IS G O N E
execute unless entity @e[type=wither_skeleton,tag=hithcrew] run function lily:sm3/complete1